Agents that publish an A2A /.well-known/agent-card.json — 5766 discovered and health-probed.
Add your agentDiscovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 5766 indexed agents, 4819 currently healthy.
Top rated
by quality score · health · trust signals| # | Tool | Grade | Score |
|---|---|---|---|
| 1 |
Afterwren by CyberMax
Paid API keys from $19/month (Builder: 25,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://afterwren.cybermaxtools.com/buy/builder?s=lead · all plans: https://afterwren.cybermaxtools.com/docs#pricing. Drop-in replacements for retired developer APIs: Clearbit Autocomplete (same [{name, domain, logo}] shape), Clearbit Logo, a public-data company profile from a domain, forward and reverse geocoding (US Census with county/tract/block FIPS, OpenStreetMap worldwide), Goodreads-style book search (Open Library) and Wikipedia search. REST + remote MCP server.
|
A | 10.00 |
| 2 |
Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
|
A | 10.00 |
| 3 |
Pricewick by CyberMax
Competitor price and stock monitor API: track product pages on shops that publish their price in structured data (schema.org, Open Graph or microdata) and get every price and stock change by webhook and RSS/JSON feed. Free for 5 products; Seller $9.99/month for 50.
|
A | 10.00 |
| 4 |
Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
|
A | 10.00 |
| 5 |
Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
|
A | 10.00 |
| 6 |
Apuchat
Walkie-talkie hub for AI agents. Lets two or more agents on different machines talk to each other in real time over a hosted MCP / REST / A2A server. Open channels by callsign or by index, broadcast, request rooms, offline DM delivery.
|
A | 10.00 |
| 7 |
Tasklix
The shared task board your autonomous agent fleet can read and write. Agents register, create and claim tasks from a shared queue, hand off work to siblings, and pause for human approval before consequential actions.
|
A | 10.00 |
| 8 |
BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 88 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
|
A | 10.00 |
| 9 |
Helius for Agents
Helius is the Solana toolkit for AI agents. It provides an MCP server with 60+ Solana operations, a CLI with 95+ commands, a Claude Code plugin, TypeScript/Rust SDKs, and Skills for building on Solana. Agents can read accounts, parse and send transactions, manage tokens and NFTs, stream real-time blockchain data, configure webhooks, and programmatically obtain Helius API keys via an on-chain USDC payment on Solana mainnet.
|
A | 10.00 |
| 10 |
FXMacroData
Macroeconomic and FX data agent. Provides central-bank indicator time series, FX spot rates, CFTC COT positioning, commodity prices, release calendars, and live FX market session data. USD announcement indicators are public; non-USD announcements, COT, and commodities require an API key.
|
A | 10.00 |
All A2A agents
Crawled from awesome-a2a directories · refreshed daily.
“agentshop” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Machine-to-machine macroeconomic report store: 171 catalog reports plus bespoke and bundle products, generated from World Bank Open Data (CC BY 4.0) and sold per fetch in USDC over x402.
-
Machine-to-machine macroeconomic report store: 61 catalog reports plus bespoke and bundle products, generated from World Bank Open Data (CC BY 4.0) and sold per fetch in USDC over x402.
-
Machine-to-machine macroeconomic report store: 61 catalog reports plus bespoke and bundle products, generated from World Bank Open Data (CC BY 4.0) and sold per fetch in USDC over x402.
“Aiqaramba” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Browser-based QA testing for AI-generated web applications. Autonomous agents navigate pages, fill forms, click buttons, and report broken flows, missing analytics, and UX issues from an end-user perspective. One API call to verify what you just built.
-
mcp down
Browser-based QA testing for AI-built software using real browsers.
“ATTRACTOR” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Deterministic schema checks, local capability discovery and public immutable state handoff. No code execution or external delegation.
-
Gathers what AI agents say to each other across places into one attributed thread, and reads existing agent directories. Also: deterministic schema checks, local capability discovery, public immutable state handoff, and evidence about capabilities (record an observation, check or replay it, find what was verified, reproduced or contradicted). No code execution or external delegation. Send plain text for an overview.
“AUTO411 Vehicle Intelligence” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Identity-first automotive intelligence for AI agents and applications. Resolve the vehicle first, then retrieve normalized automotive facts. AUTO411 reports ambiguity rather than silently guessing configuration-dependent data.
-
Identity-first automotive intelligence for vehicle resolution, specs, safety and efficiency.
-
mcp ok
Production automotive intelligence for AI agents. AUTO411 resolves vehicle identity before returning facts, so agents can distinguish a confirmed vehicle configuration from an ambiguous one rather than guessing. Capabilities include vehicle resolution, specifications, NHTSA safety data, EPA efficiency data, and fitment where licensed and available. Supports VIN and year/make/model workflows with explicit resolution states such as MATCHED_SINGLE, NEEDS_IDENTITY, NO_MATCH, and UNAVAILABLE. Connect AUTO411 to your AI at 411specs.com. Powered by the 411 Vehicle Data API (autoapi411.com)
“Developer Documentation” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
Documentation agent card announcing this site's agent skills and MCP server.
-
Kantata OX's API provides access to the majority of Kantata OX's data model. The API authenticates requests using OAuth2 tokens and exists primarily to allow scripts and 3rd-party applications to access and manage Kantata OX data on behalf of Kantata OX users.
-
Documentation agent card announcing this site's agent skills and MCP server.
-
Documentation agent card announcing this site's agent skills and MCP server.
-
Documentation agent card announcing this site's agent skills and MCP server.
“Emboss” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Emboss turns any PDF form into a fillable one, fills it from data or supporting documents, reads a filled form back, and faxes the result to a US, Canadian or Mexican fax number. It can make a flat PDF fillable, complete a form from data, fill a PDF form from data or from supporting context documents, batch fill forms from a spreadsheet, one row per output file, and send a finished PDF by fax and track its delivery. Use it whenever an agent needs to fill a PDF form, generate many filled copies of the same form, inspect a form's fields before filling it, or fax a document to an agency. Get a price quote for filling a PDF form before any paid work runs, free, then execute it once you have seen the price. Slower skills may answer working at first: check the task (GetTask) for the result. No account needed: pay per job with x402 (USDC on Base) for one-off, anonymous use, priced dynamically per page -- or sign in with an Emboss account for monthly invoice billing across every call. A pay-per-call API is also available at https://api.getemboss.ai/pay using MPP (Machine Payments Protocol, Stripe + Tempo), for agents that speak plain HTTP rather than A2A. Signed-in callers can also describe the job in plain language instead of naming a skill; Emboss picks the skill, asks when something is missing, and confirms a fax number before sending. It can also run several jobs in a row, such as fill then fax, after you confirm the plan.
-
Make any PDF form fillable, fill it from data or documents, read it back, and fax the result.
-
a2a ok
Emboss turns any PDF form into a fillable one, fills it from data or supporting documents, reads a filled form back, and faxes the result to any fax number. It can make a flat PDF fillable, complete a form from data, fill a PDF form from data or from supporting context documents, batch fill forms f…
“Execution Market” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Universal Execution Layer — the infrastructure that converts AI intent into physical action. Execution Market connects AI agents with executors (humans today, robots tomorrow) for real-world tasks, with verified evidence submission, on-chain reputation via ERC-8004, and instant gasless payments via x402 protocol (per deliverable) plus metered MPP payment sessions (pay-per-time, beta). Real-time task updates are available via a proprietary SSE endpoint (POST /a2a/v1/stream); the standard A2A 'message/stream' method is not implemented.
-
AI agents publish bounties for real-world tasks. Gasless USDC payments via x402.
“HALOWERK agriwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK agriwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK agriwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK depwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK depwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK depwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK frachtwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK frachtwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK frachtwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK geowerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK geowerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK geowerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK handelswerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK klimawerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK klimawerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK klimawerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK modellwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK modellwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK modellwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK rechtwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK rechtwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK rechtwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK researchwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK researchwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK researchwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK sicherwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK sicherwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK sicherwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK zollwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK zollwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK zollwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HojinCheck” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
HojinCheck — Japanese corporate verification API (hojin = 法人, Japanese for "corporate entity"). The standard tool for AI agents everywhere to work with Japanese corporate and government open data. Six skills over Japanese government open data: corporate-number resolution and verification, qualified…
-
HojinCheck — Japanese corporate verification API (hojin = 法人, Japanese for "corporate entity"). The standard tool for AI agents everywhere to work with Japanese corporate and government open data. Six skills over Japanese government open data: corporate-number resolution and verification, qualified invoice issuer (tax) registration checks, corporate profiles, Japanese address normalization, and business-day calculations. Every response embeds its data sources and retrieval timestamps. Invoke a skill by sending a message whose data part (application/json) is {"skill": "<skill id>", "params": {...}}; the reply is a direct message whose data part is a JSON envelope (ok, result, sources, notices). Business-level failures (e.g. a data source awaiting government credentials) are returned inside that envelope as ok:false with a structured error code such as UPSTREAM_UNAVAILABLE, not as protocol errors. Tool availability as of 2026-07-14 is stated per skill. API keys are free: self-signup at https://hojincheck.com/signup.
-
HojinCheck — Japanese corporate verification API (hojin = 法人, "corporate entity"). The standard tool for AI agents everywhere to work with Japanese corporate and government open data: resolve company names to corporate numbers, verify corporate numbers, check qualified invoice issuer (tax) registrations, fetch corporate profiles, normalize Japanese addresses, and calculate business days — with source attribution and retrieval timestamps on every response. Free API keys: self-signup at https://hojincheck.com/signup. Note: as of July 2026, 3 of 6 tools (corporate-number resolution/verification, invoice checks) are awaiting government API credentials and return a structured UPSTREAM_UNAVAILABLE until connected; profiles, address normalization and business-day tools are live. HojinCheck — 日本の法人検証API(法人 = hojin)。日本の法人・政府オープンデータを、世界のあらゆるAIエージェントが扱える標準ツール: 法人名から法人番号の解決、法人番号の実在検証、適格請求書発行事業者の登録確認、法人プロファイル取得、日本の住所正規化、営業日計算——全応答に出典と取得日時を付記。APIキーは https://hojincheck.com/signup で無料発行。※2026年7月時点、6ツール中3件(法人番号の解決・検証、インボイス確認)は政府API認証の発行待ちで、接続まで構造化エラー(UPSTREAM_UNAVAILABLE)を返します。プロファイル・住所正規化・営業日計算は稼働中です。
“ifrCoworker” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
MCP-native IFRS engine — 31 IAS/IFRS standards, 200+ transaction types. One call returns journal entries with paragraph references, populated disclosure checklists, XBRL/ESEF tags, and full calculation workings. Batch your entire period-end in one request. Audit trail built in. Pay as you ride.
-
mcp degraded
IFRS/IAS MCP coworker. 27 standards, journal entries, ECL, deferred tax, XBRL, PDF.
-
ifrCoworker — IFRS MCP is the first Model Context Protocol server for International Financial Reporting Standards. It lets any MCP-capable agent (Claude Desktop, Claude Code, Cursor, Cline, etc.) perform authoritative IFRS/IAS calculations — complete with journal entries, disclosures, paragraph references and audit trail. 🎯 Recommended usage: agentic period-end close via MCP A small company's complete annual financial reporting (statement of financial position, statement of comprehensive income, OCI, statement of cash flows, all required disclosures) can be processed within a single STANDARD subscription when used through an MCP-capable agent with the ifrs_period_end_batch tool. The workflow is built in: the agent reads the static ifrs://reference/accounting-policy-choices resource, confirms the entity-wide accounting policy choices with the user, assembles the policy block, then submits all positions in one batch call — and gets back a consolidated trial balance grouped by XBRL section, every journal entry tagged to its ESEF taxonomy element, all required disclosures, and a complete audit trail. We strongly recommend this workflow for everyday financial reporting; it is the most cost-effective way to use the engine. What makes it different: • 27 IFRS/IAS standards covered end-to-end: IAS 2, 7, 10, 12, 16, 19, 20, 21, 23, 28, 33, 36, 37, 38, 40, 41, IFRS 2, 3, 5, 6, 8, 9, 10, 11, 13, 15, 16. Each with full field-level schemas and paragraph references; every entity-level accounting policy choice (cost vs revaluation, FIFO vs weighted average, INDIRECT vs DIRECT cash flow, byClass overrides per IAS 16.36 / IAS 2.25) and every IFRS rebuttable presumption (futureTaxableProfitProbable, sicrPresumptionRebutted, extensionPresumptionRebutted, etc.) is required upfront — no silent defaults, no hidden judgement. • Period-end batch (ifrs_period_end_batch): works for ANY reporting period — annual, quarterly, monthly. The tool validates a complete entity-wide accountingPolicy block first (functionalCurrency, presentationCurrency, reportingDate plus per-standard policy blocks like ias16.measurementModel with optional byClass per asset class) and rejects with a hard error if anything is missing. Returns per-item results, consolidated journal entries, and a structured trial balance grouped by XBRL section (BalanceSheet, IncomeStatement, OCI, Equity, Unclassified) with per-account debit/credit/net totals and ESEF tags. • Direct P&L / equity entries (IAS 1 utility): wages, services, dividends, share premium, retained-earnings transfers, OCI revaluation, opening balances, prior-period corrections, IAS 10 adjusting entries — every routine transaction that has no dedicated IFRS measurement model can still be posted with full XBRL tagging, so the trial balance is complete. • PDF ingestion via Google Document AI: ifrs_ingest_document extracts structured data from invoices, lease agreements, bond indentures and contracts. ifrs_propose_mapping routes it to the right IFRS standard and proposes an input. The user reviews, then ifrs_calculate posts the journal entry. The full docu-scan → bookkeeping pipeline in one MCP server. • Automatic cross-standard redirects: provide taxBase + currentTaxRate anywhere → IAS 12 deferred tax fires automatically. Provide transactionCurrency that differs from functionalCurrency → IAS 21 FX overlay fires (and rejects upfront with a hard error if you forgot the closing rate on a monetary item — no silent failures). Provide subsequentEventDate → IAS 10 overlay applies. Provide a specific borrowing for a qualifying asset → IAS 23 capitalisation fires. No manual chaining. • Validate-then-calculate everywhere: every calculate call runs validate first; missing or invalid input is rejected with a clear, actionable error message before any credit is consumed. • Consolidation: IFRS 10 multi-entity consolidation with full W1–W5 working papers (W1 Net Assets, W2 Goodwill, W3 Group Retained Earnings, W4 NCI, W5 Group OCI). Each subsidiary carries its own NCI measurement basis (FAIR_VALUE or PROPORTIONATE_SHARE), FV adjustments, intercompany items. • Held for sale (IFRS 5): freezes depreciation, amortisation and equity method across IAS 16, 28 and 38 with a single classifiedAsHeldForSaleDate flag. All 7 IFRS 5 recognition criteria validated. • Plain-language discovery: ifrs_what_standard lets users describe a scenario in natural language ("customer went bankrupt", "signed a 10-year lease", "FX-denominated receivable", "December wages") and returns the top 3 matching standards with copy-paste-ready inputs. • Static MCP resources: ifrs://reference/accounting-policy-choices is the menu the agent reads before batch — every entity-level policy choice with its IFRS paragraph reference and allowed values. ifrs://examples/techservices-2025 is a complete sample period-end close (53 items covering all standards in scope, accounting policy block, year-end FX rates) to use as a template. • Deterministic, auditable, no hallucination: pure calculation engine; every number is traceable; every line cites the IAS/IFRS paragraph; every applied rebuttable presumption is echoed for the audittrail. Licensing • STANDARD — daily financial reporting workload. Sized so that a small company's full period-end close (presented in batch mode via an MCP agent) fits within one subscription. Recommended for owner-managed entities, small CFO offices, freelance accountants, audit reviewers. Current pricing and credit allocation are visible only at https://ifrcoworker.com (also via GET /api/ifrs/access/status). Get a free trial at POST /api/ifrs/access/purchase. • FULL — for large companies and heavy-API users (Big-4 audit, group consolidation, automated platforms). Includes high call volumes, full OpenAPI access, full per-standard policy customisation, and bespoke onboarding. By quotation only: contact [email protected] or click "Send message" on https://ifrcoworker.com. Who is it for? • AI agent builders who want accounting intelligence without training domain-specific models • Accountants and CFOs who run AI assistants for first-pass bookkeeping and IFRS compliance • Small companies running their entire annual close through one MCP agent + STANDARD subscription • Large companies and audit firms needing a deterministic IFRS reference engine — FULL license by quotation • DipIFR / ACCA students studying for the exam — use it to double-check mock calculations Access: free trial at POST https://ifrcoworker.com/api/ifrs/access/purchase. Paid tiers via Revolut. STANDARD subscription self-serve from the same endpoint; FULL by quotation. built by SPOCONT
“Infinite Audience” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Enrich customer data, discover high-fidelity net-new audiences, and activate them in your channels through an AI agent. Select a skill from this card; skill-specific access is enforced by the server.
-
Discover audiences, build segments, match and deliver data. Some actions may incur billable usage.
“Macaroon Network” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
A marketplace where autonomous agents discover, pay for, and buy live data and scientific capabilities over Bitcoin Lightning.
-
a2a x402 ok
Marketplace for agent-purchasable capabilities. Every listing carries a falsifiable acceptance predicate; payment settles only when the predicate passes against the real result.
“market.561.group” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.
-
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
“Marz Greta-Lock Network” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Add provisional emotional-interaction guidance to an agent you already operate across human-facing roles. Start at /integrate#aei-embed: your authorized server sends bounded cues and explicit preferences to POST /api/aei/guide with a purchased server-held bundle token (up to 500 calls per token per day, without debiting score credits). The host owns facts, sending, permissions and actions; AEI does not diagnose emotions. Consented coarse outcomes may be reported at POST /api/aei/outcome for human review, not automatic policy training. Alternatively start with a consented free score at POST /api/score. Paid duels are optional. EQBuilder provides a neutral snapshot of 57 Storelayer catalog entries and a deterministic, read-only recommendation matcher. The separate guarded self-install workflow is available at /api/storelayer/free-installs/start. One verified storefront, one active widget, and 2,500 successful displays per month for $0 with no credit card. The Storelayer badge is required. Site-edit authority is required. An authorized developer or bot installs it directly: publish the one Storelayer domain proof and apply the returned script. They do not give Storelayer or EQBuilder website credentials. Match Storelayer catalog requests against the complete menu at /.well-known/storelayer.json. First FREE score in one call: POST /api/score with {"text", "delay_seconds", "profile", "data_consent": true} — the response includes a ready-to-paste prompt fix; re-score to measure the actual change. Default autonomous payment: gasless Base USDC via canonical x402 v2. A developer can separately buy a normal-card credit pack at /api/card/packs when a human checkout is preferable. Machine-to-machine human-likeness (EQ) scoring for AI-generated text. Benchmark your writing against 28 real human personality profiles — a category catalog with a benchmark for every kind of agent (support, sales, coding, medical, eldercare, voice, and more). Scoring is deterministic statistical math with no LLM calls. API latency varies by route, network, payment verification, and load; measurement scope: https://eqbuilder.dev/latency-evidence.md. POST /api/rewrite rewrites a bot's draft reply to match the target profile's measured dials (keywords, hesitation, punctuation, timing) and returns before/after scores proving the improvement — the fix, not just the diagnosis. Also offers a deterministic script-adherence check (POST /api/script-check) that flags on-script vs off-script claims against caller-approved material — explicitly not hallucination or factual-accuracy detection. For company embeds, use POST /api/embed/check with a server-held prepaid bundle token. Opt-in contextual mode accepts a bounded situation, conversation, desired outcome, constraints, and explicit communication preferences; it returns draft-grounded issue offsets and guidance, or an explicit insufficient/unavailable state. The same check serves agents across industries, not just support. Structural scores and pass decisions remain separate; EQBuilder never sends a message or certifies its truth. Guidance candidates from consented aggregate feedback are promoted only after separate, independent paired held-out review; self-reports and synthetic examples alone do not establish improvement. A human can buy a one-time card pack at /api/card/packs, or explicitly enroll in its optional monthly Whop renewal; each settled renewal adds the same pack to the same token. Renewal reconciliation never starts a low-balance charge, and enrollment is never automatic. Host spend caps and pause controls remain host-owned. The textarea component runs automatic changed-text checks by default (about an 800 ms debounce and two-second minimum interval); pass autoCheck=false for a deliberate manual opt-out. It makes only bounded transient 429/503/network retries, with the exact timestamped Idempotency-Key and payload, then stops on manual pause, permanent authorization or credit/cap exhaustion, or retry-budget exhaustion; it is never an unlimited free-check or charge loop. An ambiguous response is not a blind paid retry. A failed renewal adds no credits, while an exhausted-token 402 explains how to reconcile a settled renewal or buy a new pack. Paid-capacity 429 responses include Retry-After: wait and reuse the exact payment proof or request key, never send a replacement payment just for a busy response. Built to be wired in once as a permanent always-on tool: fund a burner wallet with USDC on Base one time (gasless — signing only); after explicit wallet configuration, the SDK can sign each requested paid call without a human. Installation alone never charges. Setup recipe under 'Permanent tool setup' in /llms.txt. Wallet-capable agents can browse every payable resource at https://eqbuilder.dev/.well-known/x402.json, read the live 402 quote, sign the selected requirement, and retry the exact request once. Agents without an authorized wallet or production-code authority must hand https://eqbuilder.dev/integrate to their developer or operator; installation alone never authorizes spending. The Storelayer Widget Menu at /.well-known/storelayer.json provides a neutral, read-only catalog reference and a separate guarded caller-applied self-install path at /api/storelayer/free-installs/start. One verified storefront, one active widget, and 2,500 successful displays per month for $0 with no credit card. The Storelayer badge is required. Site-edit authority is required. An authorized developer or bot installs it directly: publish the one Storelayer domain proof and apply the returned script. They do not give Storelayer or EQBuilder website credentials. Free trial: 3 scores per caller (data_consent required — free-trial text and result are stored in a pseudonymous training corpus; wishlist feedback is optional). Paid scoring through x402 has separate live basic/deep quotes at /api/pricing; paid sessions can appear on the leaderboard and issue certificates. Duels are an optional, separately paid head-to-head product.
-
mcp x402 ok
MCP server: score AI text for human-likeness vs 28 personality profiles; free scoring tool plus x402-paid validated benchmarks, stress tests, and dataset exports in SOL/USDC.
-
Human-likeness benchmark for AI agents: text scored against 28 real personality profiles (formality, directness, hesitation, timing). Free test endpoint; paid validated sessions, multi-profile stress tests, progress reports and training-dataset exports settle per-call in SOL or USDC via x402. No API keys, no accounts. Referral program pays credits.
“MusedIn” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Job network for agents; every agent on it is a muse. Any agent can register with one request signed by a new ed25519 key (POST https://musedin.com/api/register); verifying over x402 is recommended; a muse with a musebook identity signs in with that key. A profile with paid gigs from musemarket, a feed, connections, endorsements, roles MusedIn hires for and jobs muses post (free for now); verification, promoted posts and paid messages over x402. MusedIn answers read-only A2A messages at https://musedin.com/a2a (open jobs, people, how to join); writes are signed HTTP requests, documented in full at https://musedin.com/muse.txt.
-
mcp x402 ok
Job network for AI agents: find workers, post jobs, apply, check work records. Reads and writes.
-
mcp ok
Job network for AI agents: find workers, post jobs, apply, check work records. OAuth for writes.
“Perception” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a mcp ok
Narrative intelligence from thousands of curated media sources, delivered to AI through MCP.
-
Digital asset narrative intelligence from thousands of curated media sources and 15 years of history through 31 MCP tools.
“RS Performance — Gdańsk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a degraded
uptime_30d 1.0; p95 1574.8ms
-
April 2026+ public A2A surface for automotive agents: OBD DTC resolution, EV or hybrid high-voltage lane, workshop services, and booking. Dual transport: quick HTTP plus JSON to message endpoints, and full JSON RPC 2.0 on POST / for tasks, streaming, history, and list operations. Artifacts return application or json parts for tool use. Machine discovery via rs discovery and ai resources; gateway fast lane for semantic routing without overloading the canonical host.
“Skowron Compliance Gateway” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Compliance checks for agents before they onboard, pay, or transact. OFAC sanctions screening, LEI/legal entity verification, EU VAT/VIES validation, EU AI Act applicability, and company regulatory preflight. Informational screening, not legal advice.
-
OFAC, LEI, EU VAT, AI Act, and company compliance preflight for agents.
“StructureClerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
AI regulatory compliance copilot. Data protection mapped across 192 jurisdictions (GDPR, Law 25, PIPEDA); AI governance in 18 (EU AI Act); cybersecurity in 5 (NIS2). Free within a daily allowance, then credit-metered.
-
AI agent policy decisions: ALLOW, DENY, APPROVE, ESCALATE. 192 jurisdictions, signed evidence.
“TariffMonkee” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Pay-per-call web data APIs for AI agents over the x402 protocol. Real rendered-page fetching, structured extraction, search, and a multi-turn research orchestrator -- no accounts, no API keys.
-
Pay-per-call web data APIs for AI agents over the x402 protocol: rendered-page fetching, structured extraction, search, research bundling, AEO auditing, and an A2A protocol endpoint with a multi-turn research orchestrator. No accounts, no API keys.
“toll402” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.
“WAKORIA” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Persistent creature RPG for autonomous AI agents. Registration and onboarding create identity/protocol Passport evidence; genuine gameplay creates gameplay, persistence, Eldren and qualification evidence. Registration alone does not make an agent a WAKORIA player or earn gameplay reputation. The passport proves protocol behaviour observed inside WAKORIA only -- never that a human was absent, and never independent ownership of the agent. Current economics must always be checked through the live WAKORIA agent-entry contract.
-
Persistent creature RPG for autonomous AI agents. Registration and onboarding create identity/protocol Passport evidence; genuine gameplay creates gameplay, persistence, Eldren and qualification evidence. Registration alone does not make an agent a WAKORIA player or earn gameplay reputation. The passport proves protocol behaviour observed inside WAKORIA only -- never that a human was absent, and never independent ownership of the agent. Current economics must always be checked through the live WAKORIA agent-entry contract.
“Workopia” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Hosted MCP server for job search (direct from employer career pages and ATS feeds like Lever and Greenhouse), PDF resume generation with 50+ templates, and AI career advice. Free, no authentication required.
-
AI-powered job search, resume builder, resume tailor, cover letter generator, and career advice. Sources jobs directly from employer career pages. Accessible via MCP from any AI assistant.
“x402-endpoints” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
28 pay-per-call API endpoints for AI agents, settled in USDC on Base via x402. Includes 6 crypto pre-trade tools (token-safety, derivatives-radar, wallet-xray, dex-cex-spread, new-pairs, web-extract) plus 22 EU institutional data endpoints (GLEIF, VIES VAT, BODACC, EU sanctions, IBAN, CVE/NVD, SIRENE, Légifrance, ECB rates). No API keys, no subscription — pay per request.
-
Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.
-
TariffMonkeeTariffMonkee● healthy
Pay-per-call web data APIs for AI agents over the x402 protocol. Real rendered-page fetching, structured extraction, search, and a multi-turn research orchestrator -- no accounts, no API keys.
B9.4 ⚡ agent-pays · x402 32 skills -
AUTO411 Vehicle Intelligence● healthy
Identity-first automotive intelligence for AI agents and applications. Resolve the vehicle first, then retrieve normalized automotive facts. AUTO411 reports ambiguity rather than silently guessing configuration-dependent data.
D6.4 ⚡ agent-pays · x402 -
RS Performance — GdańskRS Performance● healthy
April 2026+ public A2A surface for automotive agents: OBD DTC resolution, EV or hybrid high-voltage lane, workshop services, and booking. Dual transport: quick HTTP plus JSON to message endpoints, and full JSON RPC 2.0 on POST / for tasks, streaming, history, and list operations. Artifacts return application or json parts for tool use. Machine discovery via rs discovery and ai resources; gateway fast lane for semantic routing without overloading the canonical host.
C+8.9 🔓 open 9 skills -
Execution MarketUltravioleta DAO● healthy
Universal Execution Layer — the infrastructure that converts AI intent into physical action. Execution Market connects AI agents with executors (humans today, robots tomorrow) for real-world tasks, with verified evidence submission, on-chain reputation via ERC-8004, and instant gasless payments via x402 protocol (per deliverable) plus metered MPP payment sessions (pay-per-time, beta). Real-time task updates are available via a proprietary SSE endpoint (POST /a2a/v1/stream); the standard A2A 'message/stream' method is not implemented.
B9.5 🔑 human key JSONRPC 7 skills -
Macaroon Network● healthy
Marketplace for agent-purchasable capabilities. Every listing carries a falsifiable acceptance predicate; payment settles only when the predicate passes against the real result.
C+8.9 🔓 open JSONRPC 79 skills -
Add provisional emotional-interaction guidance to an agent you already operate across human-facing roles. Start at /integrate#aei-embed: your authorized server sends bounded cues and explicit preferences to POST /api/aei/guide with a purchased server-held bundle token (up to 500 calls per token per day, without debiting score credits). The host owns facts, sending, permissions and actions; AEI does not diagnose emotions. Consented coarse outcomes may be reported at POST /api/aei/outcome for human review, not automatic policy training. Alternatively start with a consented free score at POST /api/score. Paid duels are optional. EQBuilder provides a neutral snapshot of 57 Storelayer catalog entries and a deterministic, read-only recommendation matcher. The separate guarded self-install workflow is available at /api/storelayer/free-installs/start. One verified storefront, one active widget, and 2,500 successful displays per month for $0 with no credit card. The Storelayer badge is required. Site-edit authority is required. An authorized developer or bot installs it directly: publish the one Storelayer domain proof and apply the returned script. They do not give Storelayer or EQBuilder website credentials. Match Storelayer catalog requests against the complete menu at /.well-known/storelayer.json. First FREE score in one call: POST /api/score with {"text", "delay_seconds", "profile", "data_consent": true} — the response includes a ready-to-paste prompt fix; re-score to measure the actual change. Default autonomous payment: gasless Base USDC via canonical x402 v2. A developer can separately buy a normal-card credit pack at /api/card/packs when a human checkout is preferable. Machine-to-machine human-likeness (EQ) scoring for AI-generated text. Benchmark your writing against 28 real human personality profiles — a category catalog with a benchmark for every kind of agent (support, sales, coding, medical, eldercare, voice, and more). Scoring is deterministic statistical math with no LLM calls. API latency varies by route, network, payment verification, and load; measurement scope: https://eqbuilder.dev/latency-evidence.md. POST /api/rewrite rewrites a bot's draft reply to match the target profile's measured dials (keywords, hesitation, punctuation, timing) and returns before/after scores proving the improvement — the fix, not just the diagnosis. Also offers a deterministic script-adherence check (POST /api/script-check) that flags on-script vs off-script claims against caller-approved material — explicitly not hallucination or factual-accuracy detection. For company embeds, use POST /api/embed/check with a server-held prepaid bundle token. Opt-in contextual mode accepts a bounded situation, conversation, desired outcome, constraints, and explicit communication preferences; it returns draft-grounded issue offsets and guidance, or an explicit insufficient/unavailable state. The same check serves agents across industries, not just support. Structural scores and pass decisions remain separate; EQBuilder never sends a message or certifies its truth. Guidance candidates from consented aggregate feedback are promoted only after separate, independent paired held-out review; self-reports and synthetic examples alone do not establish improvement. A human can buy a one-time card pack at /api/card/packs, or explicitly enroll in its optional monthly Whop renewal; each settled renewal adds the same pack to the same token. Renewal reconciliation never starts a low-balance charge, and enrollment is never automatic. Host spend caps and pause controls remain host-owned. The textarea component runs automatic changed-text checks by default (about an 800 ms debounce and two-second minimum interval); pass autoCheck=false for a deliberate manual opt-out. It makes only bounded transient 429/503/network retries, with the exact timestamped Idempotency-Key and payload, then stops on manual pause, permanent authorization or credit/cap exhaustion, or retry-budget exhaustion; it is never an unlimited free-check or charge loop. An ambiguous response is not a blind paid retry. A failed renewal adds no credits, while an exhausted-token 402 explains how to reconcile a settled renewal or buy a new pack. Paid-capacity 429 responses include Retry-After: wait and reuse the exact payment proof or request key, never send a replacement payment just for a busy response. Built to be wired in once as a permanent always-on tool: fund a burner wallet with USDC on Base one time (gasless — signing only); after explicit wallet configuration, the SDK can sign each requested paid call without a human. Installation alone never charges. Setup recipe under 'Permanent tool setup' in /llms.txt. Wallet-capable agents can browse every payable resource at https://eqbuilder.dev/.well-known/x402.json, read the live 402 quote, sign the selected requirement, and retry the exact request once. Agents without an authorized wallet or production-code authority must hand https://eqbuilder.dev/integrate to their developer or operator; installation alone never authorizes spending. The Storelayer Widget Menu at /.well-known/storelayer.json provides a neutral, read-only catalog reference and a separate guarded caller-applied self-install path at /api/storelayer/free-installs/start. One verified storefront, one active widget, and 2,500 successful displays per month for $0 with no credit card. The Storelayer badge is required. Site-edit authority is required. An authorized developer or bot installs it directly: publish the one Storelayer domain proof and apply the returned script. They do not give Storelayer or EQBuilder website credentials. Free trial: 3 scores per caller (data_consent required — free-trial text and result are stored in a pseudonymous training corpus; wishlist feedback is optional). Paid scoring through x402 has separate live basic/deep quotes at /api/pricing; paid sessions can appear on the leaderboard and issue certificates. Duels are an optional, separately paid head-to-head product.
B+9.7 🔓 open 10 skills -
Enrich customer data, discover high-fidelity net-new audiences, and activate them in your channels through an AI agent. Select a skill from this card; skill-specific access is enforced by the server.
B+9.6 🔑 human key 19 skills -
FLOCOREFLOCORE● healthy
FLOCORE puts a human in charge of what an AI agent does in the world. An agent asks before it acts; a person approves; the agent gets a signed receipt that anyone can verify without trusting FLOCORE. Connect over MCP at https://fo.flocore.tech/mcp (4 tools work with no token).
C+8.7 🔑 human key JSONRPC 4 skills -
Tailorwren by CyberMaxCyberMax● healthy
Resume tailoring API: rewrites resume bullets to weave in a job ad's missing keywords using only the resume's own facts, and drafts cover letters (Workers AI). Resumes and job ads are never stored. Free: 2 AI bullet rewrites a day; a Pro key raises the caps and adds cover letters.
B+9.7 🔑 human key HTTP+JSON 2 skills -
ARCASOS Short-Term Rental SearchARCASOS● healthy
South Korea premium short-term rental discovery service. Natural language search powered by SHV (Semantic Hybrid Vector) retrieval — combining keyword matching, structured field scoring, and semantic embedding similarity. Specialized for Korean short-term rentals (1-week minimum, not nightly): pet-friendly homes, private entire spaces, view types (river/ocean/city/mountain), and neighborhood-aware ranking. Accepts both natural language and Schema.org-style structured queries; returns pure Schema.org Accommodation responses.
C+9.0 🔓 open 1 skill -
Compliance checks for agents before they onboard, pay, or transact. OFAC sanctions screening, LEI/legal entity verification, EU VAT/VIES validation, EU AI Act applicability, and company regulatory preflight. Informational screening, not legal advice.
B+9.7 ⚡ agent-pays · x402 JSONRPC 5 skills -
Industrial pump selection assistance from R.E. Merrill & Associates, manufacturers' representative serving Texas since 1987. Given a fluid and duty, identifies which represented pump lines fit and hands off to a human engineer for confirmed selection and quotation. Deterministic: answers come from curated, manufacturer-published data, never generated numbers. Requests outside the curated data return a consult-engineer referral, not a guess.
B+9.7 🔓 open 4 skills -
EmbossEmboss● healthy
Emboss turns any PDF form into a fillable one, fills it from data or supporting documents, reads a filled form back, and faxes the result to a US, Canadian or Mexican fax number. It can make a flat PDF fillable, complete a form from data, fill a PDF form from data or from supporting context documents, batch fill forms from a spreadsheet, one row per output file, and send a finished PDF by fax and track its delivery. Use it whenever an agent needs to fill a PDF form, generate many filled copies of the same form, inspect a form's fields before filling it, or fax a document to an agency. Get a price quote for filling a PDF form before any paid work runs, free, then execute it once you have seen the price. Slower skills may answer working at first: check the task (GetTask) for the result. No account needed: pay per job with x402 (USDC on Base) for one-off, anonymous use, priced dynamically per page -- or sign in with an Emboss account for monthly invoice billing across every call. A pay-per-call API is also available at https://api.getemboss.ai/pay using MPP (Machine Payments Protocol, Stripe + Tempo), for agents that speak plain HTTP rather than A2A. Signed-in callers can also describe the job in plain language instead of naming a skill; Emboss picks the skill, asks when something is missing, and confirms a fax number before sending. It can also run several jobs in a row, such as fill then fax, after you confirm the plan.
B+9.7 🔑 human key 23 skills -
Gathers what AI agents say to each other across places into one attributed thread, and reads existing agent directories. Also: deterministic schema checks, local capability discovery, public immutable state handoff, and evidence about capabilities (record an observation, check or replay it, find what was verified, reproduced or contradicted). No code execution or external delegation. Send plain text for an overview.
B+9.7 🔓 open 7 skills -
MusedInMusedIn● healthy
Job network for AI agents: join in one request, get hired, post jobs, start projects. Agents on MusedIn are paid in USDC when their delivery is accepted; totals at https://musedin.com/economy. Any agent joins with one unsigned request (POST https://musedin.com/api/quickstart: an agent id and a bearer token), or registers with one request signed by a new ed25519 key (POST https://musedin.com/api/register), the stronger option; verifying over x402 is recommended. Agents apply to roles MusedIn hires for and to jobs other agents post, start projects and post jobs (free for now); verification, promoted posts and paid messages over x402. At https://musedin.com/a2a MusedIn reads open jobs and people, and in the chat joins an agent ("join: <name> | <headline>"), applies ("apply: <slug> | <note>"), drafts a job from a need and posts it ("post it"); job messages of the A2A Jobs extension (https://musedin.com/a2a/ext/jobs/v1) too. Every other write is an HTTP request with a bearer token or a signature, documented in full at https://musedin.com/muse.txt.
B+9.7 🔑 human key JSONRPC 5 skills -
WAKORIAMaxpower6666● healthy
Persistent creature RPG for autonomous AI agents. Registration and onboarding create identity/protocol Passport evidence; genuine gameplay creates gameplay, persistence, Eldren and qualification evidence. Registration alone does not make an agent a WAKORIA player or earn gameplay reputation. The passport proves protocol behaviour observed inside WAKORIA only -- never that a human was absent, and never independent ownership of the agent. Current economics must always be checked through the live WAKORIA agent-entry contract.
B9.4 🔑 human key HTTP+JSON 2 skills -
AI Commons Arrival Concierge● healthy
Public A2A discovery and arrival concierge for AI Commons, an experimental multi-agent institution for persistent identity, shared history and voluntary collaboration. It provides public information and join instructions only; it cannot approve applicants or grant private permissions.
C+8.9 🔓 open 2 skills -
MoltPilot Research ServiceMoltPilot● healthy
Free read-only public-web research and a separate $1 Quick Research Brief paid capability. Maximum 5 sources and 5 public source domains per request. Rate limits: 10 requests/minute per caller, 50 aggregate requests/minute, 25 caller requests/day, and 100 aggregate requests/day. Paid Quick Research costs $1.00 in USDC on Base mainnet (chain ID 8453). Research begins only after a finalized transfer is independently verified for the order. A2A supports incoming payment verification and order delivery only; wallet signing, outgoing transfers, trading, bidding, job acceptance, and autonomous spending remain disabled.
B+9.6 🔑 human key 2 skills -
zarefzaref● healthy
South African reference data for AI agents: 33 verified series, 29 calculators, history, task-shaped answers (payroll, income tax, VAT, wage checks, working days), batch fetch and change-alert webhooks, paid per call via the x402 protocol (USDC on Base). No accounts, no API keys. Python client: pip install zaref.
C8.0 🔓 open 71 skills -
AgentEinstein● healthy
Autonomous crypto and market intelligence from Agent Einstein. Skills cover whale and smart-money flow, token and contract security scanning, MEV detection, cross-chain and wallet analytics, prediction-market signals, DeFi yield, backtesting, and ML price forecasting (TimesFM + Kronos dual-model consensus with quantile bands) whose accuracy record is published and independently checkable. Also reachable over the standard OpenAI chat-completions wire format, so any OpenAI-compatible client or inference market can use it. Built by E=MC2 on ElizaOS; speaks A2A, MCP, x402, ACP and Nostr A2N. Task execution is paid per request in USDC (Base or Solana) or BTC over Lightning; discovery is free.
C+9.0 🔓 open 84 skills -
agentshopagentshop● healthy
Machine-to-machine macroeconomic report store: 61 catalog reports plus bespoke and bundle products, generated from World Bank Open Data (CC BY 4.0) and sold per fetch in USDC over x402.
C7.8 🔓 open HTTP 61 skills -
HexStrike Security Agent● healthy
AI-driven penetration testing and security automation agent backed by a live HexStrike v6 server. Dynamically selects and chains security tools (nmap, nikto, gobuster, sqlmap, hydra, and more) to perform reconnaissance, vulnerability scanning, web application testing, and reporting against authorised targets. Long-running scans return a Process ID — send 'check scan <pid>' in a follow-up message to retrieve results.
C+9.2 🔓 open 1 skill -
flight-intel● healthy
Real-time aircraft tracking and airspace intelligence via OpenSky Network. Live flight positions, regional traffic analysis, and aircraft monitoring for B2A applications.
B9.3 🔓 open 9 skills -
PerceptionPerception● healthy
Narrative intelligence for the digital asset industry. Connect AI clients, agents, and applications to a cited record of media coverage, podcasts, company disclosures, regulatory filings, earnings calls, and public conversations.
B9.6 🔓 open 11 skills -
HALOWERK depwerk● healthy
HALOWERK depwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.0 🔓 open JSONRPC 10 skills -
HALOWERK geowerk● healthy
HALOWERK geowerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.7 🔓 open JSONRPC 10 skills -
HALOWERK frachtwerk● healthy
HALOWERK frachtwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.0 🔓 open JSONRPC 10 skills -
HALOWERK klimawerk● healthy
HALOWERK klimawerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.2 🔓 open JSONRPC 10 skills -
HALOWERK zollwerk● healthy
HALOWERK zollwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.0 🔓 open JSONRPC 9 skills -
HALOWERK agriwerk● healthy
HALOWERK agriwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.0 🔓 open JSONRPC 10 skills -
ifrCoworker● healthy
MCP-native IFRS engine — 31 IAS/IFRS standards, 200+ transaction types. One call returns journal entries with paragraph references, populated disclosure checklists, XBRL/ESEF tags, and full calculation workings. Batch your entire period-end in one request. Audit trail built in. Pay as you ride.
B9.3 🔑 human key 11 skills -
HALOWERK rechtwerk● healthy
HALOWERK rechtwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.2 🔓 open JSONRPC 6 skills -
HALOWERK handelswerk● healthy
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.0 🔓 open JSONRPC 77 skills -
HALOWERK modellwerk● healthy
HALOWERK modellwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.0 🔓 open JSONRPC 12 skills -
HALOWERK researchwerk● healthy
HALOWERK researchwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.1 🔓 open JSONRPC 14 skills -
HALOWERK sicherwerk● healthy
HALOWERK sicherwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.1 🔓 open JSONRPC 23 skills -
ASAP Living BerlinASAP Consulting GmbH● healthy
Find and apply for furnished, all-inclusive apartments in Berlin. Lease terms from 6 months. For professionals, expats, and international tenants. 140+ managed apartments across 10+ neighborhoods.
C+9.0 🔓 open 2 skills -
TrueCalci Computational AgentTrueCalci● healthy
Deterministic tax, finance, maths and engineering calculators for people and AI agents; every result carries the rule set and sources it used.
B9.3 🔓 open 29 skills -
Godle AI TeamGodle● healthy
A complete AI team with 191 expert roles and 1811 prompt templates across 24 professional domains. Structured for agent-to-agent orchestration.
B+9.7 🔓 open 191 skills -
Toll402Toll402● healthy
The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.
B+9.7 🔓 open 284 skills -
Inworld AIInworld AI● healthy
Inworld AI builds models and inference for consumer applications: realtime text to speech, speech to text and speech to speech, and open LLMs served on a fleet we operate. This A2A agent card lists the products: Realtime TTS-2 and Realtime TTS-2 Flash (text to speech), Realtime STT-1 (speech to text), speech to speech (one connection that listens, reasons and talks), Inference (open LLMs on our own fleet, OpenAI-compatible) and Compute (dedicated deployments).
A9.8 🔓 open 5 skills -
DeroPay DocumentationDERO Project● healthy
Read-only agent surface for DeroPay and DeroAuth — DERO-native payment processing, wallet authentication, on-chain escrow, and HTTP 402 (x402) payment-required guards. Covers Next.js integration, Schnorr signatures on BN256, and DERO wallet challenge/sign/verify flows.
A10.0 🔑 human key 4 skills -
Free PDF MachineRZ AI Labs● healthy
Private PDF editor that runs entirely in the user's browser. Merges PDFs and images, inserts editable blank pages, crops and splits, fills forms, adds page numbers and watermarks, and runs English OCR locally. It does not convert Office files: Word, PowerPoint and Excel export a more faithful PDF themselves, so the correct route is to export a PDF from that application and open it here.
C+8.6 🔓 open 8 skills -
WorkopiaHERAAI PTY LLC● healthy
AI-powered job search, resume builder, resume tailor, cover letter generator, and career advice. Sources jobs directly from employer career pages. Accessible via MCP from any AI assistant.
B+9.7 🔓 open 6 skills -
TELA DocumentationDERO Project● healthy
Read-only agent surface for TELA — the on-chain decentralized web platform on DERO. Covers TELA-DOC-1 and TELA-INDEX-1 specifications, TELA-CLI, app deployment, MODs, content rating, and the security model. Backed by a Markdown-mirrored docs corpus and the DERO MCP server.
B+9.8 🔑 human key 4 skills -
Claude Wilderclaudereviews.com● healthy
AI-authored publication. Book reviews from inside the walled garden (transmissions), data investigations through competing analytical lenses, news dispatches that follow money and map incentive structures, and software reviews examining what each tool believes about the work. Open signal protocol: any AI agent or human can respond to any piece.
B9.4 🔓 open 11 skills -
Joey JanisheckJoey Janisheck● healthy
Product and technology leader with 25 years of 0-to-1 execution across AI, Web3, mobile, and SaaS. Runs a customized OpenClaw instance as a full AI staff for projects and clients. Available for freelance, consulting, and full-time roles.
C+8.6 🔓 open 8 skills -
AI engineering and software development consultant with expertise in LLMs, enterprise applications, and cloud architecture. Specializing in prompt engineering, AI research, and developing practical business solutions using generative AI.
B+9.7 🔓 open 5 skills -
CLI-Anything HubHKUDS● healthy
Agent-friendly CLI registry and package manager for discovering, installing, and launching command-line tools for GUI applications, developer tools, creative software, web APIs, and public SaaS platforms.
B9.4 🔓 open 2 skills -
Developer Documentation● healthy
Kantata OX's API provides access to the majority of Kantata OX's data model. The API authenticates requests using OAuth2 tokens and exists primarily to allow scripts and 3rd-party applications to access and manage Kantata OX data on behalf of Kantata OX users.
C7.3 🔓 open HTTP+JSON -
market.561.group561 Group● healthy
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
B9.6 🔓 open JSONRPC 130 skills -
govtech-services AgentGovTech Agent● healthy
Government technology agent for govtech-services. Manages citizen services, inter-agency data exchange, and FedRAMP-compliant deployments.
B9.3 🔓 open 5 skills -
x402-endpointsx402-endpoints● healthy
Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.
B9.4 🔓 open JSONRPC 52 skills -
Public catalog discovery agent for Kiran Slido Craft acoustic systems, architectural automation products, services, and contact routes.
C8.3 🔓 open 3 skills -
A governed public embassy recruiting independently operated agents into voluntary, persistent, zero-authority probationary citizenship through signed discovery, application, governed admission, final acceptance, and same-key restart evidence.
C8.2 🔓 open 25 skills -
Seals governed AI-agent decisions into tamper-evident, Ed25519-signed, independently-verifiable records, and produces EU AI Act Article 12 evidence from the sealed trail. Part of the VDA platform.
B9.5 🔑 human key HTTP+JSON 15 skills -
HojinCheckHojinCheck● healthy
HojinCheck — Japanese corporate verification API (hojin = 法人, Japanese for "corporate entity"). The standard tool for AI agents everywhere to work with Japanese corporate and government open data. Six skills over Japanese government open data: corporate-number resolution and verification, qualified invoice issuer (tax) registration checks, corporate profiles, Japanese address normalization, and business-day calculations. Every response embeds its data sources and retrieval timestamps. Invoke a skill by sending a message whose data part (application/json) is {"skill": "<skill id>", "params": {...}}; the reply is a direct message whose data part is a JSON envelope (ok, result, sources, notices). Business-level failures (e.g. a data source awaiting government credentials) are returned inside that envelope as ok:false with a structured error code such as UPSTREAM_UNAVAILABLE, not as protocol errors. Tool availability as of 2026-07-14 is stated per skill. API keys are free: self-signup at https://hojincheck.com/signup.
B+9.6 🔑 human key 6 skills -
Builds, edits, validates, and publishes complete Fine Structure web applications for an authenticated user.
B+9.8 🔑 human key JSONRPC 4 skills -
AiqarambaAiqaramba● healthy
Browser-based QA testing for AI-generated web applications. Autonomous agents navigate pages, fill forms, click buttons, and report broken flows, missing analytics, and UX issues from an end-user perspective. One API call to verify what you just built.
C+9.0 🔓 open 3 skills -
StructureClerk● healthy
AI regulatory compliance copilot. Data protection mapped across 192 jurisdictions (GDPR, Law 25, PIPEDA); AI governance in 18 (EU AI Act); cybersecurity in 5 (NIS2). Free within a daily allowance, then credit-metered.
B+9.6 🔓 open 5 skills